Subject: Re: Badness in irq_create_mapping at arch/powerpc/kernel/irq.c:527

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 20 Oct 2006 09:33:28 +1000

On Thu, 2006-10-19 at 15:34 +0200, Nicolas DET wrote:
> Olaf Hering wrote:
>  > I get irq warnings with current Linus tree on Pegasos.
>  > The EDID handling for radeonfb appears to be broken as well,
>  > but thats a different story:
>  >
> 
> This patch enables chrp_pcibios_fixup() for bPlan's machine. however, 
> this function should NOT be called as thoses platforms.
> 
> http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=26c5032eaa64090b2a01973b0c6ea9e7f6a80fa7
> 
> An upcomming patch will "ppc_md.pcibios_fixup = NULL;" for every bPlan's 
> platforms.

Ugh ?

I'm not sure what the patch you pointed to has to do with fixups :)

Anyway, the irq code should work with Pegasos. I think the problem is
that it's missing a call to irq_set_default_host() on the i8259 when no
MPIC is present. It's strange, I though I had it... BriQ needs it too.

Ben.